<div class="wrapper">
    <button mat-stroked-button color="primary" (click)="goToManagement()">
        <mat-icon fontIcon="arrow_back"></mat-icon>
        Back
    </button>
    <h1 class="pageTitle">Edit Draft</h1>
    <form class="editForm" [formGroup]="editPostForm" (ngSubmit)="onSubmit()">
        <mat-form-field class="example-full-width">
            <mat-label>Title</mat-label>
            <input type="text" matInput value="{{post?.title}}" formControlName="title"> 
        </mat-form-field>
        <mat-form-field class="example-full-width">
            <mat-label>Description </mat-label>
            <textarea type="text" matInput formControlName="description"></textarea>
        </mat-form-field>
        <mat-form-field class="example-full-width">
            <mat-label>Content </mat-label>
            <textarea type="text" matInput formControlName="content">{{ post?.content }}</textarea>
        </mat-form-field>
        <mat-checkbox class="example-margin" checked="{{post?.isAnEvent}}" formControlName="isAnEvent">Event</mat-checkbox>
        @if (editPostForm.value.isAnEvent) {
            <mat-form-field class="fielc">
                <mat-label>Place</mat-label>
                <input type="text" matInput formControlName="place" value="{{post?.place}}"> 
            </mat-form-field>
            <mat-form-field>
                <input matInput type="datetime-local" placeholder="start date" formControlName="eventDate" value="{{post?.eventDate}}">
            </mat-form-field>
        }

        <button [disabled]="!editPostForm.valid" id="publishButton" mat-stroked-button color="accent" type="submit">Update Post</button>
        <button mat-stroked-button [disabled]="!editPostForm.valid" color="accent" (click)="updateAndPublishDraft()">Update Post and Publish</button>
    </form>
</div>
@if (error) {
    <p>{{error}}</p>
    }
    

